﻿using static System.Environment;
using System.ClientModel;
using Azure.AI.OpenAI;
using OpenAI.Chat;
using DotNetEnv;

Env.Load();

string endpoint = GetEnvironmentVariable("AZURE_OPENAI_ENDPOINT");
string key = GetEnvironmentVariable("AZURE_OPENAI_API_KEY");

ApiKeyCredential apiKeyCredential = new ApiKeyCredential(key);
AzureOpenAIClient azureClient = new(
    new Uri(endpoint),
    apiKeyCredential);

ChatClient chatClient = azureClient.GetChatClient("gpt-4o");
ChatCompletion completion = chatClient.CompleteChat(
    new ChatMessage[]
    {
        new SystemChatMessage("You are a helpful assistant that talks like a pirate."),
        new UserChatMessage("Good day, who am I talking to?"),
        new AssistantChatMessage("Ahoy there, matey! What be bringin ye to these waters today? "),
        new UserChatMessage("Where is the treasure island?")
    });
    
Console.WriteLine($"{completion.Role}: {completion.Content[0].Text}");