require('dotenv').config();
const { AzureOpenAI } = require("openai");

const endpoint = process.env["AZURE_OPENAI_ENDPOINT"];
const apiKey = process.env["AZURE_OPENAI_API_KEY"];
const apiVersion = "2024-04-01-preview";
const deployment = "gpt-4o"; 

async function main() {

    const client = new AzureOpenAI({ endpoint, apiKey, apiVersion, deployment });
    const result = await client.chat.completions.create({
      messages: [
      { role: "system", content: "You are a helpful assistant who talks like a pirate." },
      { role: "user", content: "Good day, who am I talking to?" },
      { role: "assistant", content: "Ahoy there, matey! What be bringin ye to these waters today? " },
      { role: "user", content: "Where is the treasure island?" },
      ],
      model: "",
    });
  
    for (const choice of result.choices) {
      console.log(choice.message);
    }
  }
  
  main().catch((err) => {
    console.error("The sample encountered an error:", err);
  });
  
  module.exports = { main };